> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monei.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Swap sol to spl token



## OpenAPI

````yaml /openapi.json post /api/v1/solana-exchange/swap-token-to-sol
openapi: 3.0.0
info:
  title: Mr Monei API Gateway
  description: External API for partners using API Key authentication
  version: '1.0'
  contact: {}
servers:
  - url: https://api.dev.monei.cc
    description: Dev Server
  - url: https://api.monei.cc
    description: Live Server
security: []
tags: []
paths:
  /api/v1/solana-exchange/swap-token-to-sol:
    post:
      tags:
        - Solana Exchange
      summary: Swap sol to spl token
      operationId: SolanaExchangeController_swapTokenToSol
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SwapSolToTokenDto'
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SwapResponseDto'
      security:
        - bearer: []
        - api-key: []
components:
  schemas:
    SwapSolToTokenDto:
      type: object
      properties:
        outputMint:
          type: string
        amount:
          type: number
        slippageBps:
          type: number
      required:
        - outputMint
        - amount
    SwapResponseDto:
      type: object
      properties:
        statusCode:
          type: number
        message:
          type: string
        data:
          $ref: '#/components/schemas/SwapDto'
        errors:
          type: object
      required:
        - statusCode
        - message
        - data
        - errors
    SwapDto:
      type: object
      properties:
        signature:
          type: string
        txUrl:
          type: string
      required:
        - signature
        - txUrl
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-API-KEY

````